/*
 * Copyright 2018 Red Hat, Inc, and individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package test.io.smallrye.openapi.runtime.scanner.entities;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * @author Marc Savy {@literal <marc@rhymewithgravy.com>}
 */
@SuppressWarnings("unused")
public class GenericFieldTestContainer<K, V> {
    // Plain field K
    V genericFieldK;

    // Collection of V with wildcard
    ArrayList<? extends V> arrayListOfV;

    // Simple K to V map
    Map<K, V> mapOfKV;

    // Map K to Foo
    LinkedHashMap<K, Foo> mapOfKToFoo;
}
